Marketplace
Get your custom pricing entries
List the compute rates your organization has registered. Only your own rates are returned, never another organization’s. Filters combine, and paging is by limit and offset.
GET
/
marketplace
/
providers
/
compute
Get your custom pricing entries
curl --request GET \
--url https://pricing.baselinehq.cloud/marketplace/providers/compute \
--header 'X-API-Key: <api-key>'import requests
url = "https://pricing.baselinehq.cloud/marketplace/providers/compute"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://pricing.baselinehq.cloud/marketplace/providers/compute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"providers": [
{
"architecture": "<string>",
"availability_zone": "<string>",
"cost_per_hour": 123,
"cpu_cores": 123,
"cpu_cores_cost_per_hour": 123,
"created_at": "<string>",
"currency": "<string>",
"gpu_cost_per_hour": 123,
"gpu_count": 123,
"gpu_type": "<string>",
"id": "<string>",
"instance_type": "<string>",
"native_cost_per_hour": 123,
"operating_system": "<string>",
"period_billing_hours": 123,
"provider": "<string>",
"ram_gb": 123,
"ram_gb_cost_per_hour": 123,
"raw_pricing_data": {},
"region": "<string>",
"service": "<string>",
"tags": {},
"updated_at": "<string>",
"usage_type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
ApiKeyAuthBearerAuth
API key with "bl_" prefix (e.g. "bl_<api_key>")
Query Parameters
Maximum entries to return (default 500)
Entries to skip
Filter by service
Filter by region
Filter by instance type
Filter by usage type
Response
Pricing response for custom pricing
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get your custom pricing entries
